Index: trunk/examples/extended/electromagnetic/TestEm2/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/DetectorConstruction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/DetectorConstruction.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 // 
-// $Id: DetectorConstruction.cc,v 1.12 2006/10/20 16:03:40 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.cc,v 1.14 2009/09/16 18:07:30 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -43,4 +43,10 @@
 #include "G4LogicalVolumeStore.hh"
 #include "G4SolidStore.hh"
+
+#include "G4FieldManager.hh"
+#include "G4TransportationManager.hh"
+
+#include "G4NistManager.hh"
+#include "G4RunManager.hh"
 
 #include "G4UnitsTable.hh"
@@ -56,5 +62,5 @@
 {
   DefineMaterials();
-  SetMaterial("PbWO4");
+  SetMaterial("G4_PbWO4");
   detectorMessenger = new DetectorMessenger(this);
 }
@@ -77,14 +83,11 @@
 {
   //
-  // define few Elements
+  // define few Elements by hand
   //
   G4double a, z;
     
   G4Element* H  = new G4Element("Hydrogen",  "H", z= 1., a=   1.01*g/mole);
-  G4Element* N  = new G4Element("Nitrogen",  "N", z= 7., a=  14.01*g/mole);
   G4Element* O  = new G4Element("Oxygen"  ,  "O", z= 8., a=  16.00*g/mole);
   G4Element* Ge = new G4Element("Germanium", "Ge",z=32., a=  72.59*g/mole);
-  G4Element* W  = new G4Element("Tungsten",  "W", z=74., a= 183.84*g/mole);
-  G4Element* Pb = new G4Element("Lead",      "Pb",z=82., a= 207.19*g/mole);
   G4Element* Bi = new G4Element("Bismuth",   "Bi",z=83., a= 208.98*g/mole);
 
@@ -93,11 +96,7 @@
   //
   G4double density;
-  G4double fractionmass;  G4int ncomponents, natoms;
-
-  G4Material* Air = 
-  new G4Material("Air", density= 1.29*mg/cm3, ncomponents=2);
-  Air->AddElement(N, fractionmass=0.7);
-  Air->AddElement(O, fractionmass=0.3);
-
+  G4int ncomponents, natoms;
+
+  // water with ionisation potential 75 eV
   G4Material* H2O = 
   new G4Material("Water", density= 1.00*g/cm3, ncomponents=2);
@@ -106,16 +105,14 @@
   H2O->GetIonisation()->SetMeanExcitationEnergy(75.0*eV);
 
+  // pure materails
   new G4Material("liquidArgon", z=18., a= 39.95*g/mole, density= 1.390*g/cm3);
-
   new G4Material("Aluminium",   z=13., a= 26.98*g/mole, density= 2.7*g/cm3);
-
-  new G4Material("Iron",        z=26., a= 55.85*g/mole, density= 7.87*g/cm3);
-  
-  new G4Material("Copper"     , z=29., a= 63.55*g/mole, density= 8.960*g/cm3);
-  
-  new G4Material("Lead",        z=82., a=207.19*g/mole, density=11.35*g/cm3);
-  
+  new G4Material("Iron",        z=26., a= 55.85*g/mole, density= 7.87*g/cm3);  
+  new G4Material("Copper",      z=29., a= 63.55*g/mole, density= 8.960*g/cm3); 
+  new G4Material("Tungsten",    z=74., a=183.84*g/mole, density=19.35*g/cm3);    
+  new G4Material("Lead",        z=82., a=207.19*g/mole, density=11.35*g/cm3);  
   new G4Material("Uranium"    , z=92., a=238.03*g/mole, density= 18.95*g/cm3);
-    
+
+  // compound material
   G4Material* BGO = 
   new G4Material("BGO", density= 7.10*g/cm3, ncomponents=3);
@@ -124,10 +121,4 @@
   BGO->AddElement(Bi, natoms= 4);
 
-  G4Material* PbWO = 
-  new G4Material("PbWO4", density= 8.28*g/cm3, ncomponents=3);
-  PbWO->AddElement(O , natoms=4);
-  PbWO->AddElement(Pb, natoms=1);
-  PbWO->AddElement(W , natoms=1);
-
   G4cout << *(G4Material::GetMaterialTable()) << G4endl;
 }
@@ -171,6 +162,12 @@
 {
   // search the material by its name
-  G4Material* pttoMaterial = G4Material::GetMaterial(materialChoice);
-  if (pttoMaterial) myMaterial = pttoMaterial;
+  G4Material* pttoMaterial =
+    G4NistManager::Instance()->FindOrBuildMaterial(materialChoice);
+
+  if (pttoMaterial) {
+    myMaterial = pttoMaterial;
+    if(logicEcal) logicEcal->SetMaterial(myMaterial);
+    G4RunManager::GetRunManager()->PhysicsHasBeenModified();
+  }
 }
 
@@ -202,7 +199,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "G4FieldManager.hh"
-#include "G4TransportationManager.hh"
 
 void DetectorConstruction::SetMagField(G4double fieldValue)
@@ -226,6 +220,4 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-#include "G4RunManager.hh"
-
 void DetectorConstruction::UpdateGeometry()
 {
Index: trunk/examples/extended/electromagnetic/TestEm2/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/DetectorMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.8 2006/06/29 16:50:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/EmAcceptance.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/EmAcceptance.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/EmAcceptance.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EmAcceptance.cc,v 1.5 2006/06/29 16:50:22 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/EventAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.3 2006/06/29 16:50:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/EventActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/EventActionMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.3 2006/06/29 16:50:26 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm2/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/PhysListEmStandard.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/PhysListEmStandard.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysListEmStandard.cc,v 1.6 2007/06/21 14:21:46 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysListEmStandard.cc,v 1.13 2009/11/13 16:01:10 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,15 +39,20 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
+#include "G4UrbanMscModel93.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
 
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
+#include "G4hBremsstrahlung.hh"
+#include "G4hPairProduction.hh"
+
 #include "G4ionIonisation.hh"
 
@@ -87,26 +92,42 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
+      G4eMultipleScattering* msc = new G4eMultipleScattering();
+      msc->AddEmModel(0, new G4UrbanMscModel93());
+      pmanager->AddProcess(msc,                       -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3, 3);
       	    
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1,4);
+      G4eMultipleScattering* msc = new G4eMultipleScattering();
+      msc->AddEmModel(0, new G4UrbanMscModel93());
+      pmanager->AddProcess(msc,                       -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4eplusAnnihilation,    0,-1, 4);
             
     } else if( particleName == "mu+" || 
                particleName == "mu-"    ) {
       //muon  
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
-      pmanager->AddProcess(new G4MuPairProduction,  -1, 4,4);       
+      pmanager->AddProcess(new G4MuMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4MuIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4MuPairProduction,     -1, 4, 4);       
+             
+    } else if( particleName == "proton" ||
+               particleName == "pi-" ||
+               particleName == "pi+"    ) {
+      //proton  
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4hBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4hPairProduction,     -1, 4, 4);       
      
-    } else if( particleName == "GenericIon" ) { 
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4ionIonisation,     -1, 2,2);
+    } else if( particleName == "alpha" || 
+	       particleName == "He3" || 
+	       particleName == "GenericIon" ) {
+      //Ions 
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4ionIonisation,       -1, 2, 2);
 
     } else if ((!particle->IsShortLived()) &&
@@ -114,30 +135,39 @@
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      pmanager->AddProcess(new G4MultipleScattering,-1,1,1);
-      pmanager->AddProcess(new G4hIonisation,       -1,2,2);
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
     }
   }
-   
+
   // Em options
   //
+  // Main options and setting parameters are shown here.
+  // Several of them have default values.
+  //
   G4EmProcessOptions emOptions;
-    
-  //coulomb scattering
+  
+  //physics tables
   //
-  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);   
-  emOptions.SetSkin(2.);
-  
+  emOptions.SetMinEnergy(100*eV);	//default    
+  emOptions.SetMaxEnergy(100*TeV);	//default  
+  emOptions.SetDEDXBinning(12*20);	//default=12*7  
+  emOptions.SetLambdaBinning(12*20);	//default=12*7
+  emOptions.SetSplineFlag(true);	//default
+      
+  //multiple coulomb scattering
+  //
+  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);  //default=fUseSafety
+  emOptions.SetMscRangeFactor(0.04);	//default
+  emOptions.SetMscGeomFactor (2.5);	//default       
+  emOptions.SetSkin(3.);		//default
+      
   //energy loss
   //
-  emOptions.SetLinearLossLimit(1.e-6);
-  emOptions.SetStepFunction(0.2, 100*um); 
+  emOptions.SetStepFunction(0.2, 100*um);	//default=(0.2, 1*mm)   
+  emOptions.SetLinearLossLimit(1.e-2);		//default
    
   //ionization
   //
-  emOptions.SetSubCutoff(true);
-    
-  // define high energy threshold for bremstrahlung 
-  //
-  emOptions.SetBremsstrahlungTh(10.*GeV); 
+  emOptions.SetSubCutoff(false);		//default=false   
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsList.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.13 2007/06/22 16:35:07 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.16 2009/09/16 18:07:30 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,42 +34,19 @@
 
 #include "PhysListEmStandard.hh"
-#include "PhysListEmLivermore.hh"
-#include "PhysListEmPenelope.hh"
 
 #include "G4EmStandardPhysics.hh"
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
+#include "G4EmStandardPhysics_option3.hh"
+#include "G4EmLivermorePhysics.hh"
+#include "G4EmPenelopePhysics.hh"
+
+#include "G4Decay.hh"
+#include "StepMax.hh"
 
 #include "G4LossTableManager.hh"
+#include "G4ProcessManager.hh"
+
 #include "G4UnitsTable.hh"
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-PhysicsList::PhysicsList() : G4VModularPhysicsList()
-{
-  G4LossTableManager::Instance();
-  defaultCutValue = 1.*mm;
-  cutForGamma     = defaultCutValue;
-  cutForElectron  = defaultCutValue;
-  cutForPositron  = defaultCutValue;
-
-  pMessenger = new PhysicsListMessenger(this);
-
-  SetVerboseLevel(1);
-
-  // EM physics
-  emPhysicsList = new PhysListEmStandard(emName = "standard");
-
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-PhysicsList::~PhysicsList()
-{
-  delete pMessenger;
-  delete emPhysicsList;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 // Bosons
@@ -77,7 +54,8 @@
 #include "G4Geantino.hh"
 #include "G4Gamma.hh"
-#include "G4OpticalPhoton.hh"
 
 // leptons
+#include "G4Electron.hh"
+#include "G4Positron.hh"
 #include "G4MuonPlus.hh"
 #include "G4MuonMinus.hh"
@@ -119,17 +97,43 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+PhysicsList::PhysicsList() : G4VModularPhysicsList()
+{
+  G4LossTableManager::Instance();
+  defaultCutValue = 1.*mm;
+  cutForGamma     = defaultCutValue;
+  cutForElectron  = defaultCutValue;
+  cutForPositron  = defaultCutValue;
+
+  pMessenger = new PhysicsListMessenger(this);
+
+  SetVerboseLevel(1);
+
+  // EM physics
+  ///emName = "emstandard_opt0";  
+  ///emPhysicsList = new G4EmStandardPhysics();
+  emName = "local";    
+  emPhysicsList = new PhysListEmStandard(emName);    
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+PhysicsList::~PhysicsList()
+{
+  delete pMessenger;
+  delete emPhysicsList;
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
 void PhysicsList::ConstructParticle()
 {
-// pseudo-particles
+  // pseudo-particles
   G4Geantino::GeantinoDefinition();
   G4ChargedGeantino::ChargedGeantinoDefinition();
   
-// gamma
+  // gamma
   G4Gamma::GammaDefinition();
   
-// optical photon
-  G4OpticalPhoton::OpticalPhotonDefinition();
-
-// leptons
+  // leptons
   G4Electron::ElectronDefinition();
   G4Positron::PositronDefinition();
@@ -142,5 +146,5 @@
   G4AntiNeutrinoMu::AntiNeutrinoMuDefinition();  
 
-// mesons
+  // mesons
   G4PionPlus::PionPlusDefinition();
   G4PionMinus::PionMinusDefinition();
@@ -155,5 +159,5 @@
   G4KaonZeroShort::KaonZeroShortDefinition();
 
-// barions
+  // barions
   G4Proton::ProtonDefinition();
   G4AntiProton::AntiProtonDefinition();
@@ -161,5 +165,5 @@
   G4AntiNeutron::AntiNeutronDefinition();
 
-// ions
+  // ions
   G4Deuteron::DeuteronDefinition();
   G4Triton::TritonDefinition();
@@ -170,6 +174,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "G4ProcessManager.hh"
 
 void PhysicsList::ConstructProcess()
@@ -202,5 +204,5 @@
   if (name == emName) return;
 
-  if (name == "standard") {
+  if (name == "local") {
 
     emName = name;
@@ -208,5 +210,5 @@
     emPhysicsList = new PhysListEmStandard(name);
     
-  } else if (name == "emstandard") {
+  } else if (name == "emstandard_opt0") {
 
     emName = name;
@@ -226,16 +228,20 @@
     emPhysicsList = new G4EmStandardPhysics_option2();
 
-  } else if (name == "livermore") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmLivermore(name);
+  } else if (name == "emstandard_opt3") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();
     
-  } else if (name == "penelope") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmPenelope(name);
-        
+  } else if (name == "empenelope"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmPenelopePhysics();
+
+  } else if (name == "emlivermore"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmLivermorePhysics();
+
   } else {
 
@@ -247,6 +253,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "G4Decay.hh"
 
 void PhysicsList::AddDecay()
@@ -275,6 +279,4 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-#include "StepMax.hh"
-
 void PhysicsList::AddStepMax()
 {
@@ -295,8 +297,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "G4Gamma.hh"
-#include "G4Electron.hh"
-#include "G4Positron.hh"
 
 void PhysicsList::SetCuts()
Index: trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsListMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.5 2006/06/29 16:50:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/PrimaryGeneratorAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.6 2006/06/29 16:50:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/RunAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.21 2006/06/29 16:50:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: RunAction.cc,v 1.24 2009/09/16 18:07:30 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -87,5 +87,5 @@
     
   histoName[0] = "testem2";
-  histoType    = "hbook";  
+  histoType    = "root";
 }
 
@@ -112,5 +112,5 @@
   G4bool readOnly  = false;
   G4bool createNew = true;
-  G4String options = "--noErrors uncompress";
+  G4String options = "--noErrors export=root uncompress";
   AIDA::ITreeFactory* tf  = af->createTreeFactory();  
   tree = tf->create(histoName[1], histoType, readOnly, createNew, options);
@@ -291,5 +291,5 @@
 #ifdef G4ANALYSIS_USE
     if(tree) {
-      G4double bin = i*dLradl;
+      G4double bin = (i+0.5)*dLradl;
       histo[3]->fill(bin,MeanELongit[i]/dLradl);
       bin = (i+1)*dLradl;
@@ -319,5 +319,5 @@
 #ifdef G4ANALYSIS_USE
     if(tree) {
-      G4double bin = i*dRradl;
+      G4double bin = (i+0.5)*dRradl;
       histo[6]->fill(bin,MeanERadial[i]/dRradl);
       bin = (i+1)*dRradl;
Index: trunk/examples/extended/electromagnetic/TestEm2/src/RunActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/RunActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/RunActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.cc,v 1.4 2006/06/29 16:50:50 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/StepMax.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.2 2006/06/29 16:50:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/StepMaxMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.2 2006/06/29 16:50:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/SteppingAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/SteppingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.6 2006/06/29 16:50:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/SteppingVerbose.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.3 2006/06/29 16:50:59 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm2/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm2/src/TrackingAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm2/src/TrackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.3 2006/06/29 16:51:01 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
